List completion runs
curl --request GET \
--url https://api.tela.com/v1/completion-run \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tela.com/v1/completion-run"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tela.com/v1/completion-run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tela.com/v1/completion-run",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tela.com/v1/completion-run"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tela.com/v1/completion-run")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tela.com/v1/completion-run")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "b83b1558-de5b-4e45-b517-7bececbdd154",
"status": "succeeded",
"inputContent": {
"variables": {
"document": {
"files": [
{
"file_url": "https://example.com/document.pdf"
}
]
}
},
"messages": [],
"files": [
{
"name": "document",
"url": "https://example.com/document.pdf",
"usedAt": "variables"
}
]
},
"outputContent": {
"role": "assistant",
"content": {
"fileSummary": "Quarterly financial report with a 15% revenue increase."
}
},
"rawInput": {
"canvas_id": "95cec438-6080-44fe-8275-28b16bd40178",
"version_id": "76065caa-c519-441a-8fe2-cc43e29664ab",
"variables": {
"document": {
"file_url": "https://example.com/document.pdf"
}
}
},
"rawOutput": {
"fileSummary": "Quarterly financial report with a 15% revenue increase."
},
"compatibilityDate": "2024-10-14",
"metadata": {
"promptVersion": {
"modelConfigurations": {
"model": "gpt-4o",
"type": "chat"
},
"variablesDefinitions": [
{
"name": "document",
"type": "file",
"required": true
}
]
}
},
"tags": [
"batch-1"
],
"creditsUsed": 3,
"promptId": "95cec438-6080-44fe-8275-28b16bd40178",
"promptVersionId": "76065caa-c519-441a-8fe2-cc43e29664ab",
"promptApplicationId": null,
"workspaceId": "3f55cfd9-4427-4887-a181-d9ad39967802",
"createdAt": "2024-10-14T19:00:53.664Z",
"updatedAt": "2024-10-14T19:01:15.892Z",
"deletedAt": null
}
],
"meta": {
"totalCount": 1,
"limit": 10,
"offset": 0,
"currentPage": 1,
"totalPages": 1,
"links": {
"first": "?promptVersionId=76065caa-c519-441a-8fe2-cc43e29664ab&limit=10&offset=0",
"last": "?promptVersionId=76065caa-c519-441a-8fe2-cc43e29664ab&limit=10&offset=0",
"next": null,
"previous": null
}
}
}Completion Run
List completion runs
Returns a paginated list of completion runs in the authenticated workspace, most recently updated first (updatedAt desc, then id desc). Rows are returned with camelCase keys (unlike the snake_case webhook payload).
GET
/
v1
/
completion-run
List completion runs
curl --request GET \
--url https://api.tela.com/v1/completion-run \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tela.com/v1/completion-run"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tela.com/v1/completion-run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tela.com/v1/completion-run",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tela.com/v1/completion-run"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tela.com/v1/completion-run")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tela.com/v1/completion-run")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "b83b1558-de5b-4e45-b517-7bececbdd154",
"status": "succeeded",
"inputContent": {
"variables": {
"document": {
"files": [
{
"file_url": "https://example.com/document.pdf"
}
]
}
},
"messages": [],
"files": [
{
"name": "document",
"url": "https://example.com/document.pdf",
"usedAt": "variables"
}
]
},
"outputContent": {
"role": "assistant",
"content": {
"fileSummary": "Quarterly financial report with a 15% revenue increase."
}
},
"rawInput": {
"canvas_id": "95cec438-6080-44fe-8275-28b16bd40178",
"version_id": "76065caa-c519-441a-8fe2-cc43e29664ab",
"variables": {
"document": {
"file_url": "https://example.com/document.pdf"
}
}
},
"rawOutput": {
"fileSummary": "Quarterly financial report with a 15% revenue increase."
},
"compatibilityDate": "2024-10-14",
"metadata": {
"promptVersion": {
"modelConfigurations": {
"model": "gpt-4o",
"type": "chat"
},
"variablesDefinitions": [
{
"name": "document",
"type": "file",
"required": true
}
]
}
},
"tags": [
"batch-1"
],
"creditsUsed": 3,
"promptId": "95cec438-6080-44fe-8275-28b16bd40178",
"promptVersionId": "76065caa-c519-441a-8fe2-cc43e29664ab",
"promptApplicationId": null,
"workspaceId": "3f55cfd9-4427-4887-a181-d9ad39967802",
"createdAt": "2024-10-14T19:00:53.664Z",
"updatedAt": "2024-10-14T19:01:15.892Z",
"deletedAt": null
}
],
"meta": {
"totalCount": 1,
"limit": 10,
"offset": 0,
"currentPage": 1,
"totalPages": 1,
"links": {
"first": "?promptVersionId=76065caa-c519-441a-8fe2-cc43e29664ab&limit=10&offset=0",
"last": "?promptVersionId=76065caa-c519-441a-8fe2-cc43e29664ab&limit=10&offset=0",
"next": null,
"previous": null
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page size. Defaults to 10 and is clamped to 1–100.
Required range:
1 <= x <= 100Number of runs to skip. Defaults to 0.
Required range:
x >= 0When true, meta.links.* are returned as objects instead of query strings.
Available options:
true, false Restrict to runs of this Workstation/App.
Restrict to runs of this Canvas version.
Restrict to runs of this Canvas (prompt).
Tags the run must contain (all of them). JSON-encoded array (["a","b"]) or comma-separated list (a,b).